import request from '@/utils/request'

// 查询用户管理列表
export function listCommonUserInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.commonUserInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询用户管理详细
export function getCommonUserInfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.commonUserInfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增用户管理
export function addCommonUserInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.commonUserInfo',
      _mt: 'add',
      commonUserInfo: data
    }
  })
}

// 修改用户管理
export function updateCommonUserInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.commonUserInfo',
      _mt: 'update',
      commonUserInfo: data
    }
  })
}

// 删除用户管理
export function delCommonUserInfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.commonUserInfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出用户管理
export function exportCommonUserInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.commonUserInfo',
      _mt: 'export',
      ...query
    }
  })
}
